Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZImageVariationGroup Class Reference

## Public Member Functions
| __construct ( $id="")
| store ()
| get ( $id="")
| groupExists ( $width, $height)
| id ()
| width ()
| height ()
| setWidth ( $value)
| setHeight ( $value)

## Public Attributes
| $ID
| $Width
| $Height

## Detailed Description

! eZImageCatalogue The eZImageVariationGroup class hadles images variation groups.

See also
  eZImage eZImageVariation

Definition at line 37 of file ezimagevariationgroup.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZImageVariationGroup::__construct | ( |  | $id = `""` | ) |

Constructs a new eZImageVariationGroup object.

Definition at line 42 of file ezimagevariationgroup.php.

References $id, and $ID.

## Member Function Documentation

## ◆ get()

eZImageVariationGroup::get | ( |  | $id = `""` | ) |

Fetches the object information from the database.

Definition at line 81 of file ezimagevariationgroup.php.

References $db, $id, and eZDB\globalDatabase().

## ◆ groupExists()

eZImageVariationGroup::groupExists | ( |  | $width,
|  |  | $height
| ) |  |

Returns the ID the the group if there exists a image group with the requested size, false if not.

Definition at line 104 of file ezimagevariationgroup.php.

References $db, $group_array, $query, $ret, and eZDB\globalDatabase().

## ◆ height()

eZImageVariationGroup::height | ( |  | ) |

Returns the height of the image group.

Definition at line 141 of file ezimagevariationgroup.php.

References $Height.

## ◆ id()

eZImageVariationGroup::id | ( |  | ) |

Returns the id of the image group.

Definition at line 125 of file ezimagevariationgroup.php.

References $ID.

## ◆ setHeight()

eZImageVariationGroup::setHeight | ( |  | $value | ) |

Sets the height of the image group.

Definition at line 157 of file ezimagevariationgroup.php.

## ◆ setWidth()

eZImageVariationGroup::setWidth | ( |  | $value | ) |

Sets the width of the image group.

Definition at line 149 of file ezimagevariationgroup.php.

## ◆ store()

eZImageVariationGroup::store | ( |  | ) |

Stores a eZImageVariationGroup object to the database.

Definition at line 57 of file ezimagevariationgroup.php.

References $db, $res, and eZDB\globalDatabase().

## ◆ width()

eZImageVariationGroup::width | ( |  | ) |

Returns the width of the image group.

Definition at line 133 of file ezimagevariationgroup.php.

References $Width.

## Member Data Documentation

## ◆ $Height

eZImageVariationGroup::$Height

Definition at line 164 of file ezimagevariationgroup.php.

Referenced by height().

## ◆ $ID

eZImageVariationGroup::$ID

Definition at line 162 of file ezimagevariationgroup.php.

Referenced by __construct(), and id().

## ◆ $Width

eZImageVariationGroup::$Width

Definition at line 163 of file ezimagevariationgroup.php.

Referenced by width().

The documentation for this class was generated from the following file:

- ezimagevariationgroup.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.